Bug 51883 - [GTK] WebKit2 GNUmakefile is out of date from trunk
Summary: [GTK] WebKit2 GNUmakefile is out of date from trunk
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks: 52805
  Show dependency treegraph
 
Reported: 2011-01-04 10:44 PST by Ravi Phaneendra Kasibhatla
Modified: 2011-01-20 05:47 PST (History)
3 users (show)

See Also:


Attachments
GTK Stubbed Implementations on latest revision (20.43 KB, patch)
2011-01-07 07:15 PST, Ravi Phaneendra Kasibhatla
no flags Details | Formatted Diff | Diff
Makefile changes and signature changes on latest revision (37.40 KB, patch)
2011-01-07 07:16 PST, Ravi Phaneendra Kasibhatla
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ravi Phaneendra Kasibhatla 2011-01-04 10:44:13 PST
The WebKit2 GNUmakefile.am is out of date from the trunk. Some of the file path (given in makefile) are changed, while some of the files have been removed. The makefile needs to be updated for proper source file list as per latest trunk
Comment 1 Ravi Phaneendra Kasibhatla 2011-01-04 10:48:30 PST
Tagging it as GTK port bug
Comment 2 Ravi Phaneendra Kasibhatla 2011-01-07 07:15:52 PST
Created attachment 78230 [details]
GTK Stubbed Implementations on latest revision
Comment 3 Ravi Phaneendra Kasibhatla 2011-01-07 07:16:35 PST
Created attachment 78231 [details]
Makefile changes and signature changes on latest revision
Comment 4 Martin Robinson 2011-01-07 10:46:13 PST
Comment on attachment 78231 [details]
Makefile changes and signature changes on latest revision

Hopefully the commit-queue does the right thing with two patches here. :)
Comment 5 WebKit Commit Bot 2011-01-07 13:51:53 PST
The commit-queue encountered the following flaky tests while processing attachment 78230 [details]:

http/tests/xmlhttprequest/remember-bad-password.html bug 51733 (author: ap@webkit.org)
The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2011-01-07 13:54:07 PST
Comment on attachment 78230 [details]
GTK Stubbed Implementations on latest revision

Clearing flags on attachment: 78230

Committed r75272: <http://trac.webkit.org/changeset/75272>
Comment 7 WebKit Commit Bot 2011-01-08 16:15:34 PST
Comment on attachment 78231 [details]
Makefile changes and signature changes on latest revision

Rejecting attachment 78231 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=eseidel-sf-cq', 'land-attachment', '--force-clean', '--ignore-builders', '--non-interactive', '--parent-command=commit-queue', 78231]" exit_code: 1
Last 500 characters of output:
le "/Projects/CommitQueue/Tools/Scripts/webkitpy/tool/commands/stepsequence.py", line 64, in _run
    step(tool, options).run(state)
  File "/Projects/CommitQueue/Tools/Scripts/webkitpy/tool/steps/validatereviewer.py", line 57, in run
    if self._has_valid_reviewer(changelog_entry):
  File "/Projects/CommitQueue/Tools/Scripts/webkitpy/tool/steps/validatereviewer.py", line 42, in _has_valid_reviewer
    if changelog_entry.reviewer():
AttributeError: 'NoneType' object has no attribute 'reviewer'

Full output: http://queues.webkit.org/results/7451037
Comment 8 Martin Robinson 2011-01-08 22:50:28 PST
Committed r75345: <http://trac.webkit.org/changeset/75345>